Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(244)

Issue 8325045: code review 8325045: net/url: Add ParseUserinfo() function

Can't Edit
Can't Publish+Mail
Start Review
Created:
9 years, 4 months ago by Hierro
Modified:
9 years, 1 month ago
Reviewers:
Visibility:
Public.

Description

net/url: Add ParseUserinfo() function ParseUserinfo parses a user info string (e.g. foo:bar) into a UserInfo object.

Patch Set 1 #

Patch Set 2 : diff -r 8633d8460c82 https://code.google.com/p/go #

Patch Set 3 : diff -r 8633d8460c82 https://code.google.com/p/go #

Total comments: 1

Patch Set 4 : diff -r f95d161ca3cb https://code.google.com/p/go #

Patch Set 5 : diff -r 5f76ce908c8f https://code.google.com/p/go #

Patch Set 6 : diff -r 61b8f10038ed https://code.google.com/p/go #

Patch Set 7 : diff -r 61b8f10038ed https://code.google.com/p/go #

Unified diffs Side-by-side diffs Delta from patch set Stats (+54 lines, -0 lines) Patch
M src/pkg/net/url/url.go View 1 2 3 4 5 2 chunks +24 lines, -0 lines 0 comments Download
M src/pkg/net/url/url_test.go View 1 2 3 4 5 6 1 chunk +30 lines, -0 lines 0 comments Download

Messages

Total messages: 15
Hierro
Hello golang-dev@googlegroups.com, I'd like you to review this change to https://code.google.com/p/go
9 years, 4 months ago (2013-04-08 08:54:49 UTC) #1
adg
Please hold onto this until after Go 1.1.
9 years, 4 months ago (2013-04-08 12:38:04 UTC) #2
Hierro
On 2013/04/08 12:38:04, adg wrote: > Please hold onto this until after Go 1.1. Now ...
9 years, 3 months ago (2013-05-14 13:05:28 UTC) #3
gobot
R=r (assigned by bradfitz)
9 years, 3 months ago (2013-05-14 22:19:15 UTC) #4
bradfitz
I would rather not see a proliferation of GobEncode and GobDecode functions all over the ...
9 years, 3 months ago (2013-05-14 22:21:56 UTC) #5
Hierro
On 2013/05/14 22:21:56, bradfitz wrote: > I would rather not see a proliferation of GobEncode ...
9 years, 3 months ago (2013-05-15 12:02:11 UTC) #6
Hierro
I've restructured the code to move most of it to a new function called ParseUserinfo(), ...
9 years, 2 months ago (2013-05-17 12:02:55 UTC) #7
Hierro
I have several CLs related to net/http and net/url, which add some functionality and fix ...
9 years, 2 months ago (2013-05-18 10:12:49 UTC) #8
r
remove the gob stuff for now. let's consider the refactoring and API addition without that.
9 years, 2 months ago (2013-06-12 04:06:13 UTC) #9
Hierro
On 2013/06/12 04:06:13, r wrote: > remove the gob stuff for now. let's consider the ...
9 years, 1 month ago (2013-06-20 11:30:07 UTC) #10
Hierro
*** Abandoned ***
9 years, 1 month ago (2013-06-20 11:36:07 UTC) #11
Hierro
On 2013/06/20 11:36:07, Hierro wrote: > *** Abandoned *** Closed this by accident, when submitting ...
9 years, 1 month ago (2013-06-20 12:35:03 UTC) #12
bradfitz
On Thu, Jun 20, 2013 at 4:30 AM, <alberto.garcia.hierro@gmail.com> wrote: > On 2013/06/12 04:06:13, r ...
9 years, 1 month ago (2013-06-20 20:18:53 UTC) #13
r
9 years, 1 month ago (2013-06-29 23:15:04 UTC) #14
Hierro
9 years, 1 month ago (2013-07-15 14:23:42 UTC) #15
PTAL
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b